SystemOrganization addCategory: #'AL-Tests-User'!

TestCase subclass: #ALAuthenticatorTest
	instanceVariableNames: 'authenticator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-User'!

!ALAuthenticatorTest class methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:48'!
isAbstract
	^ self name = #ALAuthenticatorTest! !

!ALAuthenticatorTest class methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:49'!
shouldInheritSelectors
	^ true! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:53'!
setUp
	authenticator := self createAuthenticator.
	authenticator register: 1 username: 'griffle' password: 'plonk'.! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:54'!
testFailure
	| result |
	result := authenticator authenticate: 'griffle' password: 'ponk'. 
	self deny: result isSuccess.
	self assert: result user isNil! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:56'!
testNoToken
	self deny: (authenticator isToken: 'abc' validFor: 1)! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:56'!
testNoUser
	self deny: (authenticator isToken: 'abc' validFor: 2)! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:53'!
testSuccess
	| result |
	result := authenticator authenticate: 'griffle' password: 'plonk'. 
	self assert: result isSuccess.
	self assert: result user = 1! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:55'!
testTokenInvalid
	| result |
	result := authenticator authenticate: 'griffle' password: 'plonk'. 
	self deny: (authenticator isToken: 'abc' validFor: 1)! !

!ALAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:55'!
testTokenValid
	| result |
	result := authenticator authenticate: 'griffle' password: 'plonk'. 
	self assert: (authenticator isToken: result token validFor: 1)! !

ALAuthenticatorTest subclass: #ALMemoryAuthenticatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AL-Tests-User'!

!ALMemoryAuthenticatorTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/27/2012 20:49'!
createAuthenticator
	^ ALMemoryAuthenticator new! !
